Package org.eclipse.emf.cdo.edit

# Class CDOItemProviderAdapter

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterImpl
org.eclipse.emf.edit.provider.ItemProviderAdapter
org.eclipse.emf.cdo.edit.CDOItemProviderAdapter

All Implemented Interfaces:
  `Adapter`, `Adapter.Internal`, `ResourceLocator`, `CreateChildCommand.Helper`, `IChangeNotifier`, `IDisposable`

Direct Known Subclasses:
  `CDOResourceNodeItemProvider`, `ModelElementItemProvider`, `StringToStringMapEntryItemProvider`

public class CDOItemProviderAdapter extends ItemProviderAdapter
Adds CDO-specific properties to `objects`, such as `ID`, `version` and `state`.

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`CDOItemProviderAdapter.AdaptersDescriptor`
Deprecated.
As of 4.4 not used any more.
`static class`
`CDOItemProviderAdapter.CDOPropertyDescriptor`
Base abstract to add CDO debug information to PropertiesView.
`static class`
`CDOItemProviderAdapter.ChangeSubscriptionPoliciesDescriptor`
Deprecated.
As of 4.4 not used any more.
`static class`
`CDOItemProviderAdapter.ContainerDescriptor`
Deprecated.
As of 4.4 not used any more.
`static class`
`CDOItemProviderAdapter.DirectResourceDescriptor`
Deprecated.
As of 4.4 not used any more.
`static class`
`CDOItemProviderAdapter.IDDescriptor`
Deprecated.
As of 4.4 not used any more.
`static class`
`CDOItemProviderAdapter.ReadLockedDescriptor`
Deprecated.
As of 4.4 not used any more.
`static class`
`CDOItemProviderAdapter.StateDescriptor`
Deprecated.
As of 4.4 not used any more.
`static class`
`CDOItemProviderAdapter.URIDescriptor`
Deprecated.
As of 4.4 not used any more.
`static class`
`CDOItemProviderAdapter.VersionDescriptor`
Deprecated.
As of 4.4 not used any more.
`static class`
`CDOItemProviderAdapter.ViewDescriptor`
Deprecated.
As of 4.4 not used any more.
`static class`
`CDOItemProviderAdapter.WriteLockedDescriptor`
Deprecated.
As of 4.4 not used any more.
`static class`
`CDOItemProviderAdapter.WriteOptionDescriptor`
Deprecated.
As of 4.4 not used any more.

## Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`ItemProviderAdapter.ChildrenStore, ItemProviderAdapter.ModifiableSingletonEList<E extends Object>, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Field Summary

### Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

## Constructor Summary

Constructors
Constructor
Description
`CDOItemProviderAdapter(AdapterFactory adapterFactory)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addAdaptersDescriptor(Object object)`
Deprecated.
As of 4.4 not used any more.
`protected void`
`addCDOPropertyDescriptor(EObject object, org.eclipse.net4j.util.properties.Property<EObject> property)`
`protected void`
`addChangeSubscriptionPoliciesDescriptor(Object object)`
Deprecated.
As of 4.4 not used any more.
`protected void`
`addContainerDescriptor(Object object)`
Deprecated.
As of 4.4 not used any more.
`protected void`
`addDirectResourceDescriptor(Object object)`
Deprecated.
As of 4.4 not used any more.
`protected void`
`addIDDescriptor(Object object)`
Deprecated.
As of 4.4 not used any more.
`protected void`
`addReadLockedDescriptor(Object object)`
Deprecated.
As of 4.4 not used any more.
`protected void`
`addStateDescriptor(Object object)`
Deprecated.
As of 4.4 not used any more.
`protected void`
`addURIDescriptor(Object object)`
Deprecated.
As of 4.4 not used any more.
`protected void`
`addVersionDescriptor(Object object)`
Deprecated.
As of 4.4 not used any more.
`protected void`
`addViewDescriptor(Object object)`
Deprecated.
As of 4.4 not used any more.
`protected void`
`addWriteLockedDescriptor(Object object)`
Deprecated.
As of 4.4 not used any more.
`protected void`
`addWriteOptionDescriptor(Object object)`
Deprecated.
As of 4.4 not used any more.
`Object`
`getParent(Object object)`
`List<IItemPropertyDescriptor>`
`getPropertyDescriptors(Object object)`
`boolean`
`hasChildren(Object object)`

### Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, collectNewChildDescriptors, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildFeature, getChildReference, getChildren, getChildrenFeatures, getChildrenReferences, getChildrenStore, getColumnImage, getColumnText, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getFont, getForeground, getForeground, getImage, getImage, getNewChildDescriptors, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getStyledText, getText, getTypeText, getTypeText, getUpdateableText, getValue, getWrappedValues, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isResolveProxies, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldComposeCreationImage, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, notifyChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CDOItemProviderAdapter

public CDOItemProviderAdapter(AdapterFactory adapterFactory)

## Method Details

### hasChildren

public boolean hasChildren(Object object)

Overrides:
  `hasChildren` in class `ItemProviderAdapter`

### getParent

public Object getParent(Object object)

Overrides:
  `getParent` in class `ItemProviderAdapter`
Added

### getPropertyDescriptors

public List<IItemPropertyDescriptor> getPropertyDescriptors(Object object)

Overrides:
  `getPropertyDescriptors` in class `ItemProviderAdapter`
Since:
  2.0

### addCDOPropertyDescriptor

protected void addCDOPropertyDescriptor(EObject object, org.eclipse.net4j.util.properties.Property<EObject> property)

Since:
  4.4

### addIDDescriptor

@Deprecated protected void addIDDescriptor(Object object)
Deprecated.
As of 4.4 not used any more.

Since:
  2.0

### addVersionDescriptor

@Deprecated protected void addVersionDescriptor(Object object)
Deprecated.
As of 4.4 not used any more.

Since:
  2.0

### addStateDescriptor

@Deprecated protected void addStateDescriptor(Object object)
Deprecated.
As of 4.4 not used any more.

Since:
  2.0

### addViewDescriptor

@Deprecated protected void addViewDescriptor(Object object)
Deprecated.
As of 4.4 not used any more.

Since:
  2.0

### addContainerDescriptor

@Deprecated protected void addContainerDescriptor(Object object)
Deprecated.
As of 4.4 not used any more.

Since:
  2.0

### addDirectResourceDescriptor

@Deprecated protected void addDirectResourceDescriptor(Object object)
Deprecated.
As of 4.4 not used any more.

Since:
  2.0

### addReadLockedDescriptor

@Deprecated protected void addReadLockedDescriptor(Object object)
Deprecated.
As of 4.4 not used any more.

Since:
  2.0

### addWriteLockedDescriptor

@Deprecated protected void addWriteLockedDescriptor(Object object)
Deprecated.
As of 4.4 not used any more.

Since:
  2.0

### addWriteOptionDescriptor

@Deprecated protected void addWriteOptionDescriptor(Object object)
Deprecated.
As of 4.4 not used any more.

Since:
  4.3

### addAdaptersDescriptor

@Deprecated protected void addAdaptersDescriptor(Object object)
Deprecated.
As of 4.4 not used any more.

Since:
  2.0

### addChangeSubscriptionPoliciesDescriptor

@Deprecated protected void addChangeSubscriptionPoliciesDescriptor(Object object)
Deprecated.
As of 4.4 not used any more.

Since:
  2.0

### addURIDescriptor

@Deprecated protected void addURIDescriptor(Object object)
Deprecated.
As of 4.4 not used any more.

Since:
  2.0